import {select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');


const projection = geoNaturalEarth1();
//instance of geoPath
const pathGenerator = geoPath().projection(projection);

svg.append('path')
		.attr('class','sphere')
		.attr('d', pathGenerator({type : 'Sphere'}));

json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
	.then(data => {
  		const countries = feature(data, data.objects.countries);
      console.log(data);
  		console.log(countries);
  		
  		/*
  		//this is a data-join
  		const paths = svg.selectAll('path')
      	.data(countries.features);
  		paths.enter().append('path')
  			.attr('d', d => pathGenerator(d));
      */
  	
  		svg.selectAll('path')
        .data(countries.features)
  			.enter().append('path')
  				.attr('class', 'country')
        .attr('d', pathGenerator);
  		
	});


